Summary:	AdLib sound player library
Summary(pl.UTF-8):	Biblioteka odtwarzacza dźwięku AdLib
Name:		adplug
Version:	2.3.3
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://github.com/adplug/adplug/releases/download/adplug-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	35cb5005c512821ff480c10b43bba270
Patch0:		%{name}-info.patch
URL:		https://adplug.github.io
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.14
BuildRequires:	libbinio-devel >= 1.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
Requires:	libbinio >= 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AdPlug is a free, multi-platform, hardware independent AdLib sound
player library, mainly written in C++. AdPlug plays sound data,
originally created for the AdLib (OPL2) audio board, on top of an OPL2
emulator or by using the real hardware. No OPL2 chip is required for
playback.

%description -l pl.UTF-8
AdPlug to wolnodostępna, wieloplatformowa, niezależna od sprzętu
biblioteka odtwarzacza dźwięku AdLib, napisana głównie w C++. AdPlug
odtwarza dane dźwiękowe stworzone pierwotnie dla karty dźwiękowej
AdLib (OPL2) przy użyciu emulatora OPL2 lub prawdziwego sprzętu. Do
odtwarzania nie jest wymagany układ OPL2.

%package devel
Summary:	Header files for AdPlug library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AdPlug.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libbinio-devel >= 1.4

%description devel
This is the package containing the header files for AdPlug library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki AdPlug.

%package static
Summary:	Static AdPlug library
Summary(pl.UTF-8):	Statyczna biblioteka AdPlug
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static AdPlug library.

%description static -l pl.UTF-8
Statyczna biblioteka AdPlug.

%prep
%setup -q
%patch0 -p1
%{__sed} -i 's@<string>@<string.h>@' src/player.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for system-wide adplugdb database
install -d $RPM_BUILD_ROOT/var/lib/adplug

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libadplug.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/adplugdb
%attr(755,root,root) %{_libdir}/libadplug-2.3.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libadplug-2.3.3.so.0
%{_mandir}/man1/adplugdb.1*
%dir /var/lib/adplug

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libadplug.so
%{_includedir}/adplug
%{_pkgconfigdir}/adplug.pc
%{_infodir}/libadplug.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libadplug.a
%changelog
* Sat Dec 12 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/adplug.git;a=log;h=master

* Sat Dec 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 3e22c60
- drop .la file, release 2

* Sat Oct 17 2020 Jan Palus <atler@pld-linux.org> a87dcd0
- up to 2.3.3

* Tue Oct 27 2015 Jan Palus <atler@pld-linux.org> b7ad113
- release 3 (by relup.sh)

* Wed Mar 25 2015 Jan Rękorajski <baggins@pld-linux.org> e29bc85
- x32 rebuild
- release 2 (by relup.sh)

* Mon Nov 22 2010 Jakub Bogusz <qboosh@pld-linux.org> cce478c
- track soname
- LGPL version (2.1+)

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> 33b187b
- 2.2.1

* Wed Jan 13 2010 sparky <sparky@pld-linux.org> 3329501
- add library symlink as %ghost

* Wed Jan 13 2010 lisu <lisu@pld-linux.org> 461deb3
- up to 2.2

* Mon Jan 05 2009 lisu <lisu@pld-linux.org> 17c450c
- autotools
- include string.h to avoid "not declared in this scope" errors
- adapter

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 6bfa4b3
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Apr 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 8371f8f
- updated to 2.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0067036
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aecf806
- converted to UTF-8

* Thu Jul 20 2006 Jakub Bogusz <qboosh@pld-linux.org> dbb7ba0
- updated to 2.0.1 (fixes CVE-2006-3581 CVE-2006-3582; note: new soname)

* Sun May 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 66de562
- updated to 2.0 (note: new soname)
- added dir for system-wide adplugdb database
- added info patch, moved info to -devel, register it

* Sun May 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 2f5bb58
- unify direntry

* Thu Feb 09 2006 freetz <freetz@pld-linux.org> 6278ed1
- removed bogus TODO/BR

* Wed Jul 27 2005 blekot <blekot@pld-linux.org> 2eec700
- up to 1.5.1

* Sat Jun 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 2102c99
- pl, many cleanups/fixes

* Sat Jun 11 2005 Robert Kurowski <koorek@pld-linux.org> 88c3efd
- new

